Summary:	Rootkit scans for rootkits, backdoors and local exploits.
Name:		rkhunter
Version:	1.0.6
Release:	0
Epoch:		0
License:	GPL
Group:          Applications/System
URL:		http://www.rootkit.nl/
Source0:	http://downloads.rootkit.nl/%{name}-%{version}.tar.gz
#Patch0:	rkhunter.patch
BuildArch:	noarch
Requires:	perl
Packager:	Doncho N. Gunchev <mr700@globalnet.bg>
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Rootkit scanner is scanning tool to ensure you for about 99.9%% you're
clean of nasty tools. This tool scans for rootkits, backdoors and local
exploits by running tests like:
	- MD5 hash compare
	- Look for default files used by rootkits
	- Wrong file permissions for binaries
	- Look for suspected strings in LKM and KLD modules
	- Look for hidden files
	- Optional scan within plaintext and binary files

Rootkit Hunter is released as GPL licensed project and free for everyone to use.

%prep
%setup -q -n %name
#%%patch0 -p1 -b .old

%build
#%%configure ...
# We have nothing to configure... yet...

%install
# Well... This could be a bit easier if the install
# script was able to handle DSTDIR for example...
mkdir -p ${RPM_BUILD_ROOT}/usr/local/{bin,etc,rkhunter}
mkdir -p ${RPM_BUILD_ROOT}/usr/local/rkhunter/{db,docs,scripts,tmp}
chmod a+rwx ${RPM_BUILD_ROOT}/usr/local/rkhunter/tmp
%{__install} -m750 -p files/rkhunter		${RPM_BUILD_ROOT}/usr/local/bin/rkhunter
%{__install} -m640 -p files/rkhunter.conf	${RPM_BUILD_ROOT}/usr/local/etc/rkhunter.conf

%{__install} -m750 -p files/backdoorports.dat	${RPM_BUILD_ROOT}/usr/local/rkhunter/db/backdoorports.dat
%{__install} -m750 -p files/defaulthashes.dat	${RPM_BUILD_ROOT}/usr/local/rkhunter/db/defaulthashes.dat
%{__install} -m750 -p files/mirrors.dat		${RPM_BUILD_ROOT}/usr/local/rkhunter/db/mirrors.dat
%{__install} -m750 -p files/os.dat		${RPM_BUILD_ROOT}/usr/local/rkhunter/db/os.dat

%{__install} -m640 -p files/CHANGELOG		${RPM_BUILD_ROOT}/usr/local/rkhunter/docs/CHANGELOG
%{__install} -m640 -p files/README		${RPM_BUILD_ROOT}/usr/local/rkhunter/docs/README
%{__install} -m640 -p files/WISHLIST		${RPM_BUILD_ROOT}/usr/local/rkhunter/docs/WISHLIST

%{__install} -m750 -p files/check_modules.pl	${RPM_BUILD_ROOT}/usr/local/rkhunter/scripts/check_modules.pl
%{__install} -m750 -p files/check_port.pl	${RPM_BUILD_ROOT}/usr/local/rkhunter/scripts/check_port.pl
%{__install} -m750 -p files/filehashmd5.pl	${RPM_BUILD_ROOT}/usr/local/rkhunter/scripts/filehashmd5.pl
%{__install} -m750 -p files/filehashsha1.pl	${RPM_BUILD_ROOT}/usr/local/rkhunter/scripts/filehashsha1.pl
%{__install} -m750 -p files/showfiles.pl	${RPM_BUILD_ROOT}/usr/local/rkhunter/scripts/showfiles.pl

# make a cron.daily file to mail us the reports
mkdir -p "${RPM_BUILD_ROOT}/%{_sysconfdir}/cron.daily"
cat > "${RPM_BUILD_ROOT}/%{_sysconfdir}/cron.daily/01-rkhunter" <<EOF
#!/bin/sh
/usr/local/bin/rkhunter --cronjob | /bin/mail -s 'rkhunter Daily Run' root
EOF
chmod a+x ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily/01-rkhunter

%clean
rm -rf "$RPM_BUILD_ROOT"

## ------------------------------------------------------------

%files
%defattr(-,root,root,-)
/usr/local/bin/rkhunter
%dir /usr/local/rkhunter
%dir /usr/local/rkhunter/db
%dir /usr/local/rkhunter/scripts
%dir /usr/local/rkhunter/docs/
%doc /usr/local/rkhunter/docs/CHANGELOG
%doc /usr/local/rkhunter/docs/README
%doc /usr/local/rkhunter/docs/WISHLIST
/usr/local/rkhunter/db/backdoorports.dat
/usr/local/rkhunter/db/defaulthashes.dat
/usr/local/rkhunter/db/mirrors.dat
/usr/local/rkhunter/db/os.dat
/usr/local/rkhunter/scripts/check_modules.pl
/usr/local/rkhunter/scripts/check_port.pl
/usr/local/rkhunter/scripts/filehashmd5.pl
/usr/local/rkhunter/scripts/filehashsha1.pl
/usr/local/rkhunter/scripts/showfiles.pl
%config(noreplace) %verify(not mtime) /usr/local/etc/rkhunter.conf
%{_sysconfdir}/cron.daily/01-rkhunter


%changelog
* Sat Apr 03 2004 Michael Boelen / Joe Klemmer
* Mon Mar 29 2004 Doncho N. Gunchev
- - initial .spec file
